| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions
Tp::AbstractClientObserver::ObserverInfo Class Reference
Client proxies

The AbstractClientObserver::ObserverInfo class provides a wrapper around the additional info about the channels passed to observeChannels(). More...

`#include <TelepathyQt/AbstractClientObserver>`

List of all members.

## Public Member Functions

- ObserverInfo (const QVariantMap &info=QVariantMap())
- ObserverInfo (const ObserverInfo &other)
- ~ObserverInfo ()
- ObserverInfo & operator= (const ObserverInfo &other)
- bool isRecovering () const
- QVariantMap allInfo () const

## Detailed Description

The AbstractClientObserver::ObserverInfo class provides a wrapper around the additional info about the channels passed to observeChannels().

See also:
  AbstractClientObserver

## Constructor & Destructor Documentation

Tp::AbstractClientObserver::ObserverInfo::ObserverInfo | ( | const QVariantMap & | info = `QVariantMap()` | ) |

Tp::AbstractClientObserver::ObserverInfo::ObserverInfo | ( | const ObserverInfo & | other | ) |

Tp::AbstractClientObserver::ObserverInfo::~ObserverInfo | ( |  | ) |

## Member Function Documentation

AbstractClientObserver::ObserverInfo & Tp::AbstractClientObserver::ObserverInfo::operator= | ( | const ObserverInfo & | other | ) |

bool Tp::AbstractClientObserver::ObserverInfo::isRecovering | ( |  | ) | const`[inline]`

QVariantMap Tp::AbstractClientObserver::ObserverInfo::allInfo | ( |  | ) | const